[![GitPitch](https://gitpitch.com/assets/badge.svg)](https://gitpitch.com/gitpitch/gitpitch/master) [![Build Status](https://semaphoreci.com/api/v1/onetapbeyond/gitpitch/branches/master/shields_badge.svg)](https://semaphoreci.com/onetapbeyond/gitpitch)

# Slide Decks for Tech Conferences, Meetups, and Training

#### WEBSITE: [www.gitpitch.com](https://gitpitch.com) | HOW-TO : [GitPitch Docs](https://gitpitch.com/docs) | TWITTER: [@gitpitch](https://twitter.com/gitpitch)


### What is GitPitch?

> Developers. Conference Speakers. Educators. Training Instructors. Pssst...

<br>

![GITPITCH](assets/changelog/gitpitch-lets-get-started.gif)

<br>

- GitPitch is a markdown presentation tool for MacOS, Linux, and Windows 10.
- GitPitch Desktop lets you develop, preview, and present markdown presentations offline.
- Using modular markdown to deliver modular decks...perfect for training and course content.
- Export your markdown presentations to PDF and PowerPoint PPTX.
- And publish and share your markdown presentations online at [gitpitch.com](https://gitpitch.com).
- To publish any deck just *git-push* from your desktop to any repo on GitHub, GitLab, or Bitbucket.
- And share it as a public, private, or password-protected markdown presentation on [gitpitch.com](https://gitpitch.com).

<br>

# GitPitch Product Family

- [GitPitch.com ( Free )](https://gitpitch.com/docs/getting-started/tutorial)
- [GitPitch.com ( Paid )](https://gitpitch.com/pricing)
- [GitPitch Desktop](https://gitpitch.com/docs/work-offline/desktop)
- [GitPitch Enterprise](https://gitpitch.com/docs/enterprise)
- GitPitch CI ( Coming Soon )

<br>

# GitPitch Product Repos

I started working on GitPitch as an open-source project back in 2016. The
original code for that project is still found in this repository. Since
mid 2017 I have been working full time developing a number of
[GitPitch products and services](#gitpitch-product-family) most of which
are maintained in private repositories. But I encourage users to report
issues and request features for all GitPitch products using GitHub
[issue tracking](https://github.com/gitpitch/gitpitch/issues) on this
repository.

As you will see from the following [CHANGELOG](#changelog) the GitPitch 
project is actively under development with fixes, features and even new
products being added all the time.

<br>

# Changelog

A high level change history for GitPitch projects. Unless otherwise 
indicated fixes and features shown below are integrated across the
entire [GitPitch Product Family](#gitpitch-product-family).

<br>

## [Work In Progress]

- GitPitch 4.0
- Including a brand new layout engine for GitPitch slide decks

<br>

## [Work In Progress]

- New product **GitPitch CI**
- For seamless integration with your existing CI/CD pipelines
- For any GitPitch slide deck in any repo you can...
- Auto-generate PDF, PowerPoint PPTX, and/or Slide Screenshots (JPG)

## [Jun 08, 2020]
### Added
- Brand new [Mermaid Diagram Markdown Widget](https://gitpitch.com/docs/diagram-features/mermaid-diagrams) for rendering diagrams and flowcharts on any slide
- See the [Mermaid Diagrams + Flowcharts Official Docs](https://mermaid-js.github.io/mermaid)
- The [Cloud Diagram Markdown Widget](https://gitpitch.com/docs/diagram-features/cloud-diagrams) updated to support [Diagrams As Code v0.13.1](https://diagrams.mingrammer.com/)

![GITPITCH MERMAID DIAGRAMS](assets/changelog/mermaid-sequence.png)

## [May 27, 2020]
### Added
- GitPitch [Desktop Whiteboard](https://gitpitch.com/docs/work-offline/desktop-whiteboard) powered by the amazing [Excalidraw](https://github.com/excalidraw/excalidraw)
- Create beautiful mockups, wireframes, system diagrams, UI flows, brainstorming, etc for any slide

![GITPITCH DESKTOP WHITEBOARD](assets/changelog/gitpitch-desktop-whiteboard.png)

## [May 23, 2020]
### Added
- Brand new [Citations + Bibliography Support](https://gitpitch.com/docs/citations/bibliography) using BibTEX, EndNote, or RIS databases.

![GITPITCH CITATIONS](assets/changelog/gitpitch-citations.gif)

## [May 12, 2020]
### Added
- Brand new [Custom Fonts Support](https://gitpitch.com/docs/themes/custom-fonts) unlocks unlimited typography options for GitPitch slide decks

![GITPITCH CUSTOM FONTS](assets/changelog/gitpitch-custom-fonts.png)

## [May 06, 2020]
### Added
- New PITCHME.yaml [Confidential Mode Challenge Form Settings](https://gitpitch.com/docs/pro-features/security#confidential-mode-customization) for secure publishing on [gitpitch.com](https://gitpitch.com)

![GITPITCH PASSWORD PROTECTED PUBLISHING](assets/changelog/gitpitch-publish-confidential.jpg)

## [May 02, 2020]
### Fixed
- Audio Slide Deck [List Fragment Support](https://gitpitch.com/docs/pro-features/audio#add-slide-list-fragment-audio)

## [Apr 28, 2020]
### Changed
- The [Cloud Diagram Markdown Widget](https://gitpitch.com/docs/diagram-features/cloud-diagrams) updated to support [Diagrams As Code v0.9.0](https://diagrams.mingrammer.com/)

![GITPITCH CLOUD DIAGRAMS](assets/changelog/gitpitch-cloud-diagrams-2.png)

## [Apr 24, 2020]
### Added
- New PITCHME.yaml [theme-builder setting](https://gitpitch.com/docs/settings/theme-builder) to control visibility of the builder
- New PITCHME.yaml [favicon setting](https://gitpitch.com/docs/settings/favicon) to activate a custom favicon for deck
- New PITCHME.yaml [lang setting](https://gitpitch.com/docs/settings/lang) to activate a custom HTML lang for deck

## [Apr 18, 2020]
### Changed
- Simplified slide deck home menu logo + layout
- Updated [Fira Code Monospaced Font v3.1](https://github.com/tonsky/FiraCode) built-in support within [Theme Template](https://gitpitch.com/docs/themes/default)

## [Apr 09, 2020]
### Added
- New [Cloud Diagram Markdown Widget](https://gitpitch.com/docs/diagram-features/cloud-diagrams) for Cloud System Architecture Diagrams

![GITPITCH CLOUD DIAGRAMS](assets/changelog/gitpitch-cloud-diagrams-1.png)

## [Mar 15, 2020]
### Changed
- Improved [User Dashboard](https://gitpitch.com/login) subscription reporting and management

## [Feb 08, 2020]
### Added
- Support on [User Dashboard](https://gitpitch.com/login) for quickstart one-click download of [GitPitch Desktop](https://gitpitch.com/docs/work-offline/desktop)

![GITPITCH DASHBOARD DESKTOP DOWNLOAD](assets/changelog/gitpitch-dashboard-desktop-download.png)

## [Jan 28, 2020]
### Added
- New [Inline Image Filters, Transformations, Behaviors](https://gitpitch.com/docs/image-features/image-manipulation)
- [YouTube: GitPitch Image Manipulation Video Tutorial](https://youtu.be/vdMDj9YNbYw)

![GITPITCH IMAGE MANIPULATION](assets/changelog/gitpitch-image-manipulation.png)

## [Jan 22, 2020]
### Changed
- Added support for search directly within the [GitPitch Docs](https://gitpitch.com/docs)

![GITPITCH DOCS](assets/changelog/gitpitch-docs.png)

## [Jan 9, 2020]
### Added
- Brand new visual [Theme Builder](https://gitpitch.com/docs/themes/default) for [GitPitch Desktop](https://gitpitch.com/docs/work-offline/desktop)
- [YouTube: GitPitch Theme Builder Video Tutorial](https://youtu.be/pfMsOZRvfXw)

![GITPITCH THEME BUILDER](assets/changelog/gitpitch-theme-builder.gif)

## [Dec 16, 2019]
### Added
- [User Dashboard](https://gitpitch.com/login) default login now public-access-only with new private-access upgrade option

![GITPITCH DASHBOARD OAUTH](assets/changelog/gitpitch-dashboard-private-repo-access.png)

## [Dec 06, 2019]
### Added
- New PITCHME.yaml [speaker-mode setting](https://gitpitch.com/docs/speaker-features/window/#disable-speaker-window) to disable access to speaker window and notes


## [Dec 02, 2019]
### Added
- One-click compression for PNG, JPG, and GIF images within [GitPitch Desktop Image Manager](https://gitpitch.com/docs/work-offline/desktop-image-tools)

![GITPITCH DESKTOP IMAGE MANAGER](assets/changelog/gitpitch-desktop-image-manager.png)

## [Dec 02, 2019]
### Added
- [YouTube: Custom Slide Layouts for Markdown Presentation Video Tutorial](https://youtu.be/rt4J1jUbSJU)

## [Nov 09, 2019]
### Added
- New [List Markdown Widget](https://gitpitch.com/docs/markdown-features/list-widgets/#list-widget-speaker-mode-fragment-behaviors) speaker mode hide and fade behaviors
- New [Table Data Markdown Widget](https://gitpitch.com/docs/rich-media-features/table-data/) speaker mode hide and fade behaviors

![GITPITCH LIST WIDGET](assets/changelog/gitpitch-list-widget-fade-frags.gif)

## [Oct 25, 2019]
### Added
- New [Iosevka Code Monospaced Font](https://github.com/be5invis/Iosevka) built-in support within [Theme Template](https://gitpitch.com/docs/themes/default)

## [Sept 13, 2019]
### Changed
- Updated [Fira Code Monospaced Font v2.x](https://github.com/tonsky/FiraCode) built-in support within [Theme Template](https://gitpitch.com/docs/themes/default)

## [Sept 11, 2019]
### Changed
- Updated [Font Awesome 5 Markdown Widget](https://gitpitch.com/docs/rich-media-features/font-awesome/) support for [FA Regular Icon Set](https://fontawesome.com/icons?s=regular)

## [Sept 09, 2019]
### Added
- New [Code Line Number + Code Tag Filters](https://gitpitch.com/docs/code-features/pro-code-filters/) support for source code files and GIST
- [YouTube: GitPitch Code Filters Video Tutorial](https://youtu.be/X8stj8p4JM4)

## [Sept 03, 2019]
### Added
- New Table Data Renderer for standard markdown table syntax within [Snap Layouts](https://gitpitch.com/docs/layout-features/snap-layouts)
- [YouTube: Table Data Widget for Markdown Presentations](https://youtu.be/e48Wa3lqfcY)

## [Aug 30, 2019]
### Added
- New [Markdown Text Manipulation Guide](https://gitpitch.com/docs/markdown-features/text-manipulation/) added to the [GitPitch Docs](https://gitpitch.com/docs)

![GITPITCH MARKDOWN TEXT MANIPULATION](assets/changelog/gitpitch-markdown-text-manipulation.png)

## [Aug 29, 2019]
### Added
- New [Font Family Utility Styles](https://gitpitch.com/docs/themes/css-utility-styles/#text-font-family-styles) built-in support within [Theme Template](https://gitpitch.com/docs/themes/default)

## [Aug 29, 2019]
### Added
- [Code Power Properties](https://gitpitch.com/docs/code-features/pro-code-power-properties/) now supported on [Code Delimiters](https://gitpitch.com/docs/code-features/source-files/) and [GIST Delimiters](https://gitpitch.com/docs/code-features/gists)

![Code Presenting with Annotations](assets/changelog/gitpitch-code-presenting-annotations.gif)

## [July 06, 2019]
### Added
- New [Victor Mono Cursive + Code Ligatures Font](https://github.com/rubjo/victor-mono) built-in support within [Theme Template](https://gitpitch.com/docs/themes/default)

## [June 26, 2019]
### Added
- New `code-noblend` control property added to list of supported [Code Power Properties](https://gitpitch.com/docs/code-features/pro-code-power-properties/)

## [June 20, 2019]
### Changed
- Updated [GitPitch Pro Surveys](https://gitpitch.com/docs/pro-features/surveys/) support for [JotForm](https://gitpitch.com/docs/pro-features/surveys/#jotform-surveys)

## [June 26, 2019]
### Added
- Brand new [Theme Template](https://gitpitch.com/docs/themes/template) becomes the default theme for all decks
- [YouTube: Custom Themes for Markdown Presentations](https://youtu.be/OQOma4Xj-GY)

![GITPITCH THEME TEMPLATE](assets/changelog/gitpitch-theme-template.jpg)

## [May 13, 2019]
### Added
- Brand new voiceover-for-slides support powered by [GitPitch Audio Slide Decks](https://gitpitch.com/docs/pro-features/audio)
- [Blog Post: Presenting GitPitch Audio Slide Decks](https://medium.com/@gitpitch/presenting-gitpitch-audio-slide-decks-4fa4989533c6)

![GITPITCH AUDIO SLIDE DECKS](assets/changelog/gitpitch-audio-slide-decks.png)

## [Mar 25, 2019]
### Added
- New [Table Data Markdown Widget](https://gitpitch.com/docs/rich-media-features/table-data/) support for table rendering, styling, sizing and behaviors

## [Mar 18, 2019]
### Added
- New [Code Revealing Modes](https://gitpitch.com/docs/code-features/pro-code-revealing/) support for fenced code, source files, and GIST

![GITPITCH CODE REVEALING](assets/changelog/gitpitch-code-revealing-fast-mode.gif)

## [Mar 13, 2019]
### Added
- New [Font Awesome 5 Markdown Widget](https://gitpitch.com/docs/rich-media-features/font-awesome/) support for [FA Solid + Brand Icon Sets](https://fontawesome.com/icons?d=gallery&s=brands,solid)

## [Feb 28, 2019]
### Added
- New [GitHub Diff Markdown Widget](https://gitpitch.com/docs/code-features/diff/) to generate and render an interactive diff for any commit

## [Feb 16, 2019]
### Added
- New [Tweet Markdown Widget](https://gitpitch.com/docs/rich-media-features/tweets/) to render Twitter tweets on any slide

![TWEET MARKDOWN WIDGET](assets/changelog/gitpitch-markdown-tweet-widget.png)

## [Feb 11, 2019]
### Added
- New [UML Markdown Widget](https://gitpitch.com/docs/diagram-features/uml-diagrams) to render [PlantUML Diagrams](https://plantuml.com/) on any slide

![GITPITCH PLANTUML DIAGRAMS](assets/changelog/gitpitch-plantuml.png)

## [Jan 27, 2019]
### Added
- [GitPitch Desktop](https://gitpitch.com/docs/work-offline/desktop) adds slide deck export to **PDF** and **PowerPoint PPTX**
- [Blog Post: GitPitch embraces Microsoft PowerPoint, Keynote, and Google Slides](https://medium.com/@gitpitch/gitpitch-embraces-microsoft-powerpoint-keynote-google-slides-7095017dd57c)

![GITPITCH DESKTOP EXPORT](assets/changelog/gitpitch-desktop-export.gif)

## [Jan 03, 2019]
### Added
- New [Ascinema Recorded Terminal Sessions](https://gitpitch.com/docs/code-features/terminal-sessions/) playback support on any slide

## [Dec 15, 2018]
### Added
- New [Code ZOOM](https://gitpitch.com/docs/code-features/pro-code-zoom/) support for fenced code, source files, and GIST
- [Blog Post: GitPitch adds Code ZOOM for Slide Decks](https://medium.com/hackernoon/gitpitch-adds-code-zoom-for-slide-decks-49c9cf2cd3df)

![GITPITCH CODE ZOOM](assets/changelog/gitpitch-code-zoom.png)

## [Dec 12, 2018]
### Added
- New [Code Markdown Widget + GIST Markdown Widget](https://gitpitch.com/docs/code-features/pro-code-widgets/) support for source files and GIST

## [Dec 12, 2018]
### Added
- New [Box Markdown Widget](https://gitpitch.com/docs/markdown-features/widgets/#boxed-text-widget) support for boxed text on any slide

![GITPITCH BOX MARKDOWN WIDGET](assets/changelog/gitpitch-markdown-boxed-text.png)

## [Dec 04, 2018]
### Added
- New [GitPitch In 60 Seconds](https://gitpitch.com/docs/getting-started/tutorial/) quickstart tutorial on GitHub, GitLab, and Bitbucket

## [Aug 01, 2018]
### Added
- New [GitPitch Snap Layouts](https://gitpitch.com/docs/layout-features/snap-layouts/) markdown syntax for flexible slide designs
- [Blog Post: Snap Layouts for GitPitch Markdown Presentations](https://medium.com/@gitpitch/snap-layouts-for-gitpitch-markdown-presentations-29800f642586)
- [YouTube: An Introduction to Snap Layouts for Markdown Presentations Video Tutorial](https://youtu.be/MVd-SxhEPFs)

![GITPITCH SNAP LAYOUTS](assets/changelog/gitpitch-snap-layouts.gif)

## [Jun 26, 2018]
### Added
- Brand new [GitPitch Documentation](https://gitpitch.com/docs) full of sample slide markdown snippets and live demos
- [Blog Post: GitPitch releases brand new documentation for everyone](https://medium.com/@gitpitch/gitpitch-releases-brand-new-documentation-for-everyone-5a9417f352a6)

## [May 21, 2018]
### Added
- Announced general availability of [GitPitch Enterprise](https://gitpitch.com/docs/enterprise) for on-premises deployment
- [Blog Post: GitPitch adds support for GitHub Enterprise On-Premises](https://medium.com/hackernoon/gitpitch-adds-support-for-github-enterprise-on-premise-servers-f15a5b91de5a)
- [Blog Post: GitPitch adds support for GitLab + Bitbucket On-Premises](https://medium.com/hackernoon/gitpitch-adds-support-for-gitlab-and-bitbucket-on-premise-servers-dfb78b104a3a)

## [Apr 17, 2018]
### Added
- New SurveyMonkey, JotForm, and Google Forms embedded support using [GitPitch Surveys](https://gitpitch.com/docs/pro-features/surveys/)
- [Blog Post: Start a Two-Way Conversation with your Audience](https://medium.com/@gitpitch/start-a-two-way-conversation-with-your-slideshow-audience-8ad56bd96ff3)

## [Apr 05, 2018]
### Added
- Announced general availability of [GitPitch Desktop](https://gitpitch.com/docs/work-offline/desktop) for Linux, MacOS, and Windows 10

![GITPITCH DESKTOP](assets/changelog/gitpitch-desktop.png)

## [Feb 19, 2018]
### Added
- New [GitPitch Slide Deck Publishing](https://gitpitch.com/docs/pro-features/security) using private repositories on GitHub, GitLab, and Bitbucket
- [Blog Post: Public Publishing using Private Repos](https://medium.com/hackernoon/gitpitch-private-git-repo-support-part-1-aa85ebc70f7e)
- [Blog Post: Private Publishing using Private Repos](https://medium.com/hackernoon/gitpitch-private-git-repo-support-part-2-e6aea33565d7)
- [Blog Post: Password Protected Publishing using Private Repos](https://medium.com/hackernoon/gitpitch-private-git-repo-support-part-3-c19aad572c14)

## [Nov 08, 2017]
### Added
- Manage decks as you manage code using [Slide Deck Modular Markdown](https://gitpitch.com/docs/git)
- [Blog Post: Develop Course and Training Materials](https://medium.com/hackernoon/develop-course-and-training-materials-using-fruit-punnets-cf9cfa88040f)

## [Aug 29, 2017]
### Added
- [GitPitch Speaker Support](https://gitpitch.com/docs/speaker-features/) including speaker notes, live preview, and remote control

![GITPITCH SPEAKER SUPPORT](assets/changelog/gitpitch-speaker-notes.gif)

## [May 31, 2017]
### Added
- New [Live Code Presenting](https://gitpitch.com/docs/code-features/presenting/) to *focus-on* and *step-through* code on any slide
- [Blog Post: Let Your Code Do The Talking](https://medium.com/hackernoon/let-your-code-do-the-talking-983906a3a587)

## [Sep 07, 2016]
### Added
- [GitPitch.com Markdown Presentations](https://gitpitch.com) SAAS added support for everyone on GitHub, GitLab, and Bitbucket

## [Aug 28, 2016]
### Added
- Released [GitPitch](https://gitpitch.com) as open source on [GitHub](https://github.com/gitpitch/gitpitch)

## [Aug 01, 2016]
### Added
- Launched [GitPitch.com Markdown Presentations](https://gitpitch.com) SAAS for everyone on GitHub
- [Blog Post: Use Git to deliver Modern Slideshow Presentations](https://medium.com/@gitpitch/use-git-to-deliver-stunning-slideshow-presentations-5dbdf644d4cc)






